Get Publicly Discoverable Domain APIs in Every Space
GET /obp/v7.0.0/domain-apis
OBPv7.0.0-getPubliclyDiscoverableDomainApisInEverySpace No role required DynamicAPI
The publicly discoverable Domain APIs (is_publicly_discoverable) of every space on this instance, each
with its space (bank_id), base path, version, title, description, url and openapi_url. For a tool
such as API Explorer that offers every published API without knowing the spaces in advance;
GET /obp/v7.0.0/banks/BANK_ID/domain-apis gives one space's.
No Authentication is Required.
For more information see here
User Authentication is Optional. The User need not be logged in.
JSON response body fields (8)
- bank_id
- gh.29.uk
- base_path
- base_path
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- domain_apis
- domain_apis
- openapi_url
- openapi_url
- title
- Dr.
- url
- http://www.example.com/id-docs/123/image.png
- version
Example success response
{
"domain_apis": [
{
"bank_id": "SYS",
"base_path": "carbon-registry/v1",
"version": "1.0.0",
"title": "Open Carbon Registry API",
"description": "Activities and land parcels of the registry.",
"url": "https://api.example.org/carbon-registry/v1",
"openapi_url": "https://api.example.org/carbon-registry/v1/openapi.yaml"
}
]
}Possible errors (1)
- OBP-50000: Unknown Error.